pangomm: Pango::Fontset Class Reference

pangomm 2.52.0

Public Types | Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Pango::Fontset Class Reference

A Pango::Fontset is used to represent a set of fonts. More...

`#include <pangomm/fontset.h>`

Inheritance diagram for Pango::Fontset:
[legend]

## Public Types
typedef sigc::slot< bool(const Glib::RefPtr< Font > &) | ForeachSlot)
| For instance, bool on_foreach(const Glib::RefPtr<Pango::Font>& font);.

## Public Member Functions
| Fontset (Fontset &&src) noexcept
Fontset & | operator= (Fontset &&src) noexcept
| ~Fontset () noexcept override
PangoFontset * | gobj ()
| Provides access to the underlying C GObject.
const PangoFontset * | gobj () const
| Provides access to the underlying C GObject.
PangoFontset * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Font > | get_font (guint wc) const
| Returns the font in the fontset that contains the best glyph for a Unicode character.
FontMetrics | get_metrics () const
| Get overall metric information for the fonts in the fontset.
void | foreach (const ForeachSlot &slot)
| Iterates through all the fonts in a fontset, calling slot for each one.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Pango::Fontset > | wrap (PangoFontset *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Pango::Fontset is used to represent a set of fonts.

## Member Typedef Documentation

## ◆ ForeachSlot

typedef sigc::slot<bool(const Glib::RefPtr<Font>&) Pango::Fontset::ForeachSlot)

For instance, bool on_foreach(const Glib::RefPtr<Pango::Font>& font);.

## Constructor & Destructor Documentation

## ◆ Fontset()

Pango::Fontset::Fontset | ( | Fontset && | src | ) |
| noexcept

## ◆ ~Fontset()

Pango::Fontset::~Fontset | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ foreach()

void Pango::Fontset::foreach | ( | const ForeachSlot & | slot | ) |

Iterates through all the fonts in a fontset, calling slot for each one.

If slot returns true, that stops the iteration.

Since
  -1.4

Parameters

  slot | Callback function

## ◆ get_font()

Glib::RefPtr< Font > Pango::Fontset::get_font | ( | guint | wc | ) | const

Returns the font in the fontset that contains the best glyph for a Unicode character.

Parameters

  wc | A Unicode character.

Returns
  A `Pango::Font`.

## ◆ get_metrics()

FontMetrics Pango::Fontset::get_metrics | ( |  | ) | const

Get overall metric information for the fonts in the fontset.

Returns
  A `Pango::FontMetrics` object.

## ◆ get_type()

static GType Pango::Fontset::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

PangoFontset * Pango::Fontset::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const PangoFontset * Pango::Fontset::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

PangoFontset * Pango::Fontset::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

Fontset & Pango::Fontset::operator= | ( | Fontset && | src | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Pango::Fontset > wrap | ( | PangoFontset * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.